[SC2_Report] Social Post Report
curl --request POST \
--url https://api-lr.agent.ai/v1/action/social_post_creator_render_post_report \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_variable_name": "results_html",
"report_data": "{{social_post}}"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/social_post_creator_render_post_report"
payload = {
"output_variable_name": "results_html",
"report_data": "{{social_post}}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({output_variable_name: 'results_html', report_data: '{{social_post}}'})
};
fetch('https://api-lr.agent.ai/v1/action/social_post_creator_render_post_report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}Social Content Team
[SC2_Report] Social Post Report
Renders a LinkedIn post as an HTML preview with copy, image, and first comment.
POST
/
action
/
social_post_creator_render_post_report
[SC2_Report] Social Post Report
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
⌘I

